From 26832f8491fc67547c1b7402d5592a3b0b1ef9cf Mon Sep 17 00:00:00 2001
From: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date: Sat, 17 Jan 2015 19:55:19 -0800
Subject: [PATCH 2004/2008] On darwin, build ppc slices of the compiler runtime
 if requested and supported by the SDK and toolchain

Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
---
 make/platform/clang_darwin.mk | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git llvm_master/projects/compiler-rt/make/platform/clang_darwin.mk macports_master/projects/compiler-rt/make/platform/clang_darwin.mk
index 62ccc6f..da583d2 100644
--- llvm_master/projects/compiler-rt/make/platform/clang_darwin.mk
+++ macports_master/projects/compiler-rt/make/platform/clang_darwin.mk
@@ -80,10 +80,10 @@ Configs += eprintf
 UniversalArchs.eprintf := $(call CheckArches,i386,eprintf,$(OSX_SDK))
 
 # Configuration for targeting 10.4. We need a few functions missing from
-# libgcc_s.10.4.dylib. We only build x86 slices since clang doesn't really
-# support targeting PowerPC.
+# libgcc_s.10.4.dylib. We don't build ppc64 slices since clang doesn't really
+# support it..
 Configs += 10.4
-UniversalArchs.10.4 := $(call CheckArches,i386 x86_64,10.4,$(OSX_SDK))
+UniversalArchs.10.4 := $(call CheckArches,ppc i386 x86_64,10.4,$(OSX_SDK))
 
 # Configuration for targeting iOS for a couple of functions that didn't
 # make it into libSystem.
@@ -94,11 +94,11 @@ UniversalArchs.ios += $(call CheckArches,armv7 arm64,ios,$(IOS_SDK))
 # Configuration for targeting OSX. These functions may not be in libSystem
 # so we should provide our own.
 Configs += osx
-UniversalArchs.osx := $(call CheckArches,i386 x86_64 x86_64h,osx,$(OSX_SDK))
+UniversalArchs.osx := $(call CheckArches,ppc i386 x86_64 x86_64h,osx,$(OSX_SDK))
 
 # Configuration for use with kernel/kexts.
 Configs += cc_kext
-UniversalArchs.cc_kext := $(call CheckArches,i386 x86_64 x86_64h,cc_kext,$(OSX_SDK))
+UniversalArchs.cc_kext := $(call CheckArches,ppc i386 x86_64 x86_64h,cc_kext,$(OSX_SDK))
 
 # Configuration for use with iOS kernel/kexts
 Configs += cc_kext_ios
-- 
2.9.1

